View Issue Details

IDProjectCategoryView StatusLast Update
0002864Ham Radio DeluxeBugpublic2018-09-11 13:18
Reporterg3ucq 
Assigned Tog3ucq 
PriorityurgentSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformPCOSWindowsOS Version10 64 bit Home
Product Version 
Target VersionFixed in Version6.4.0.886 
Summary0002864: DM780 stops responding
DescriptionWith Rig Control, Logbook and DM780 running actions in DM780 cause it to stop responding.
Steps To ReproduceRun Rig Control, LogBook and DM780.
Click in the Call sign ALE box and enter a character. DM780 will stop responding.
Also change the Mode selection from the drop down menu will also cause DM780 to stop responding.
Additional InformationThis first appeared after I installed v 877, previous versions were OK.
After some investigation I thought the problem was caused by a bad Main Identity in DM780.
But the problem reappeared.
I installed v875 over v877 and the problem disappeared.
I then installed v876 and there was still no problem.
I installed v877 and the problem returned so I am now running v876
TagsNo tags attached.
ModuleDM780
Sub-ModuleInterfacing
Testing Beta Successful

Relationships

Activities

g3ucq

2018-08-30 23:06

viewer   ~0006030

Entering a character in the DM780 ALE call sign box causes DM780 to stop responding.
Selecting a mode from the DM780 mode drop down menu causes DM780 to stop responding.

g3ucq

2018-08-31 03:59

viewer  

HRDLLC.7z (43,590,850 bytes)

g3ucq

2018-08-31 04:00

viewer   ~0006032

Attached is my HRDLLC folder. HTH

g3ucq

2018-08-31 04:48

viewer   ~0006033

Attached a dump file from Task manager.

K7ZCZ

2018-09-01 12:43

manager   ~0006035

I don't see a dump file attached.

It looks like you have 15 different DM780 profiles. Why is that? Which is the one you're using when you experience the issue you describe?

Can you please tell me which specific "ALE call sign box" you're using? Complete repro steps would help a lot.

g3ucq

2018-09-01 14:02

viewer   ~0006037

The dump file proved to be too large (60Mb zipped) for Mantis and also for the Beta Testers Forum.
I would have emailed it to you but have lost your email address. I have added a note in the Beta Testers Forum asking for it.

I have no ideas why there are those profiles except I have been using HRD for a long time and encountered problems along the way.
I am using the DM780 ALE box.
Apart from telling you that as soon as I click in the DM780 F7 Call box, DM780 will stop responding I do not know what else to add.
See "Steps to Reproduce" and "Activities"

K7ZCZ

2018-09-01 18:58

manager   ~0006045

You should get in touch with Mike Carper, who should be able to provide you with a way to get the file to us. If you'd like to try using email, you can send it to me at mikeb@hrdsoftwarellc.com.

If you're not using those profiles, then you should delete them. You can do so with the "Identities" command in the "File" menu of DM780. If you need help doing that, you should get in touch with our Support team.

The problem is that I don't know where you're typing, or what you're typing. I don't know what the "DM780 F7 Call Box" is. If you can tell me how to open the window which contains that "call box", and what the label on the control is, then I might have a shot at replicating the behavior that you're reporting. When I ask for repro steps, I'm expecting the answer includes step-by-step instructions that get from the program starting up to the specific window layout you're looking at; that tell me exactly what it is you're typing and clicking on when you cause the problem. I'm sorry that I need such detailed information, and I know that it is tedious to record things that you assume are apparent. But without a clear set of instructions that lead me to the location of the problem, I can't do much to help.

K7ZCZ

2018-09-01 19:10

manager   ~0006046

Maybe this checkin helps. I'm just guessing -- fixing something nearby which might cause the reported symptoms, but can't be verified with the information given.

https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4319

g3ucq

2018-09-02 00:13

viewer   ~0006048

I have tried to send you the dump file but at 60Mb zipped it is too large and I am getting failed delivery messages.
Screen shot of the box I am referring to added.
Clicking in the call box and adding one character causes DM780 to stop responding. I cannot provide further steps as that is all it takes.
I only have two identities available in DM780, Main Identity and test.
I shall be away from home until next Tuesday so will not be able to send you any more files.

DM780 ALE.JPG (63,250 bytes)
DM780 ALE.JPG (63,250 bytes)

g3ucq

2018-09-02 02:39

viewer   ~0006051

I have added the dump file to Dropbox\Ham Radio Deluxe (1)\HRD Beta Team.
HTH

K7ZCZ

2018-09-02 19:39

manager   ~0006058

Thanks; I've moved the dump file from DropBox to the internal space so isn't taking up space there, and not lying around in the open.

The dump is a 64-bit view of the process and requires wow64exts.sw to see the 32-bit process information.

The main thread is blocked on sending a command to the Logbook, at this call stack:

0:000:x86> ~*kb

.  0  Id: 110.9c Suspend: 0 Teb: 01e05000 Unfrozen
 # ChildEBP RetAddr  Args to Child              
WARNING: Stack unwind information not available. Following frames may be wrong.
00 01d9ddf8 774e0ae2 00000a40 0000ea60 00000000 ntdll_77750000!ZwWaitForSingleObject+0xc
01 01d9de0c 000f2cba 00000a40 0000ea60 d3f7d7eb KERNELBASE!WaitForSingleObject+0x12
02 01d9e06c 000f1fac 01d9e0a4 00000001 d3f7e06f Digital_Master!CLogbookInterface::SendCommand+0x10a [c:\ham radio\digital master\digital master\logbookinterface.cpp @ 645] 
03 01d9e9a4 00215fa5 01d9e9dc 0c937938 d3f7e073 Digital_Master!CLogbookInterface::CountryFromCall+0x1cc [c:\ham radio\digital master\digital master\logbookinterface.cpp @ 392] 
04 01d9f0b8 00218f77 d3f7f92b 0c651718 0c64f5f8 Digital_Master!CStandardLogbookAdd::LookupCountry+0x285 [c:\ham radio\digital master\digital master\standardlogbookadd.cpp @ 1816] 
05 01d9f0e0 00218098 01d9f0fc d3f7f8c7 00000111 Digital_Master!CStandardLogbookAdd::NewCallsign+0x57 [c:\ham radio\digital master\digital master\standardlogbookadd.cpp @ 3060] 
06 01d9f10c 0027be0e 00000200 0c64f5f8 01d9f14c Digital_Master!CStandardLogbookAdd::OnKillfocusCallsign+0x118 [c:\ham radio\digital master\digital master\standardlogbookadd.cpp @ 2478] 
07 01d9f11c 0027bc47 0c64f5f8 00000266 00000200 Digital_Master!_AfxDispatchCmdMsg+0x42 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\cmdtarg.cpp @ 78] 
08 01d9f14c 00277b57 00000266 006e76f8 00000000 Digital_Master!CCmdTarget::OnCmdMsg+0x120 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\cmdtarg.cpp @ 373] 
09 01d9f170 00273285 00000266 00000200 00000000 Digital_Master!CDialog::OnCmdMsg+0x1b [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\dlgcore.cpp @ 85] 
0a 01d9f1c0 00273e9d 02000266 00030688 d3f7fbb3 Digital_Master!CWnd::OnCommand+0x89 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 2784] 
0b 01d9f278 00275755 00000111 02000266 00030688 Digital_Master!CWnd::OnWndMsg+0x3c [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 2108] 
0c 01d9f298 00270d56 00000111 02000266 00030688 Digital_Master!CWnd::WindowProc+0x22 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 2094] 
0d 01d9f308 00271511 0c64f5f8 001b0696 00000111 Digital_Master!AfxCallWndProc+0xb0 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 285] 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for user32.dll - 
0e 01d9f328 76e7be6b 001b0696 00000111 02000266 Digital_Master!AfxWndProc+0x34 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 434] 
0f 01d9f354 76e7833a 002714dd 001b0696 00000111 user32!AddClipboardFormatListener+0x49b
10 01d9f43c 76e5beca 002714dd 00000000 00000111 user32!DispatchMessageW+0x97a
11 01d9f4a8 76e5bc57 02aa0320 00000000 00030688 user32!SendMessageW+0x3aa
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for comctl32.dll - 
12 01d9f4ec 73df407c 001b0696 00000111 02000266 user32!SendMessageW+0x137
13 01d9f588 73df2046 00000000 00000000 00000008 comctl32!Str_SetPtrW+0xe3c
14 01d9f5dc 76e7be6b 00030688 00000008 00000000 comctl32!Ordinal392+0xcf6
15 01d9f608 76e7833a 73df1e00 00030688 00000008 user32!AddClipboardFormatListener+0x49b
16 01d9f6f0 76e57afd 73df1e00 00000000 00000008 user32!DispatchMessageW+0x97a
17 01d9f72c 002722e2 73df1e00 00030688 00000008 user32!CallWindowProcW+0x8d
18 01d9f74c 0027576c 00000008 00000000 00000000 Digital_Master!CWnd::DefWindowProcW+0x46 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 1116] 
19 01d9f768 00270d56 00000008 00000000 00000000 Digital_Master!CWnd::WindowProc+0x39 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 2095] 
1a 01d9f7d8 00271511 0c64fb18 00030688 00000008 Digital_Master!AfxCallWndProc+0xb0 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 285] 
1b 01d9f7f8 76e7be6b 00030688 00000008 00000000 Digital_Master!AfxWndProc+0x34 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 434] 
1c 01d9f824 76e7833a 002714dd 00030688 00000008 user32!AddClipboardFormatListener+0x49b
1d 01d9f90c 76e77eda 002714dd 00000000 00000008 user32!DispatchMessageW+0x97a
1e 01d9f970 76e7a629 02aa0a90 00000000 00000008 user32!DispatchMessageW+0x51a
1f 01d9f9b0 777bc66d 01d9f9cc 00000020 01d9faf0 user32!SystemParametersInfoW+0x4a9
20 01d9fa3c 76e78ff4 00000000 00000000 00000000 ntdll_77750000!KiUserCallbackDispatcher+0x4d
21 01d9fa70 00283c51 020f7a38 00000000 00000000 user32!PeekMessageW+0x134
22 01d9faa0 0058cc03 003a7909 00000001 00000000 Digital_Master!CWinThread::Run+0x84 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\thrdcore.cpp @ 640] 
23 01d9fab4 003a788f 00080000 00000000 02001c38 Digital_Master!AfxWinMain+0x66 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\winmain.cpp @ 47] 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for kernel32.dll - 
24 01d9fb00 76fe8484 01e04000 76fe8460 080d13a2 Digital_Master!__tmainCRTStartup+0xfd [f:\dd\vctools\crt\crtw32\startup\crt0.c @ 251] 
25 01d9fb14 777b2fea 01e04000 2acf8e2f 00000000 kernel32!BaseThreadInitThunk+0x24
26 01d9fb5c 777b2fba ffffffff 777cec2d 00000000 ntdll_77750000!RtlValidSecurityDescriptor+0x11a
27 01d9fb6c 00000000 003a7909 01e04000 00000000 ntdll_77750000!RtlValidSecurityDescriptor+0xea


This matches the symptom for my guess-fix a couple nights ago, so I think we can assume this is fixed in the next build.

g3ucq

2018-09-04 06:28

viewer   ~0006070

The problem has been fixed for me.
In addition.
1. For years, when using FSK RTTY there was always a delay before the first character was sent. The very first transmission having the longest delay. That delay has now gone. AFSK and PSK never had a delay.
2. Recently I found that <stop> in a Macro did not work, the rig stayed in TX mode, so I checked the Options/Autostop box which solved the problem.
The Autostop box can now be unchecked as the rig will return to RX with <stop> in the Macro.

Issue History

Date Modified Username Field Change
2018-08-30 15:57 g3ucq New Issue
2018-08-30 23:06 g3ucq Note Added: 0006030
2018-08-31 04:00 g3ucq File Added: HRDLLC.7z
2018-08-31 04:00 g3ucq Note Added: 0006032
2018-08-31 04:48 g3ucq Note Added: 0006033
2018-09-01 12:43 K7ZCZ Assigned To => g3ucq
2018-09-01 12:43 K7ZCZ Status new => feedback
2018-09-01 12:43 K7ZCZ Note Added: 0006035
2018-09-01 14:02 g3ucq Note Added: 0006037
2018-09-01 18:58 K7ZCZ Note Added: 0006045
2018-09-01 19:10 K7ZCZ Note Added: 0006046
2018-09-02 00:13 g3ucq File Added: DM780 ALE.JPG
2018-09-02 00:13 g3ucq Note Added: 0006048
2018-09-02 02:39 g3ucq Note Added: 0006051
2018-09-02 19:39 K7ZCZ Note Added: 0006058
2018-09-02 19:39 K7ZCZ Status feedback => resolved
2018-09-02 19:39 K7ZCZ Resolution open => fixed
2018-09-02 22:19 WA9PIE Project 1 - Backlog => 3 - Current Dev List
2018-09-03 00:07 K7ZCZ Fixed in Version => 6.4.0.878
2018-09-04 06:28 g3ucq Note Added: 0006070
2018-09-07 16:29 WA9PIE Status resolved => closed
2018-09-07 16:29 WA9PIE Testing Not Started => Beta Successful
2018-09-11 13:15 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2018-09-11 13:18 WA9PIE Fixed in Version 6.4.0.878 => 6.4.0.886